(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     15242,        401]
NotebookOptionsPosition[     14373,        367]
NotebookOutlinePosition[     14719,        382]
CellTagsIndexPosition[     14676,        379]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{"S", "[", 
   RowBox[{"k_", ",", "m_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"1", "-", 
       RowBox[{"m", "^", "k"}]}], ")"}], "/", 
     RowBox[{"(", 
      RowBox[{"1", "-", "m"}], ")"}]}], ")"}], "*", 
   RowBox[{"(", " ", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"Sum", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Binomial", "[", 
            RowBox[{"m", ",", "l"}], "]"}], "*", 
           RowBox[{"(", 
            RowBox[{"l", "-", "1"}], ")"}], "*", 
           RowBox[{"Exp", "[", 
            RowBox[{"-", 
             RowBox[{"(", 
              RowBox[{"l", "-", "1"}], ")"}]}], "]"}], "*", 
           RowBox[{"Subfactorial", "[", "l", "]"}]}], ",", 
          RowBox[{"{", 
           RowBox[{"l", ",", "2", ",", "m"}], "}"}]}], "]"}], ")"}], "/", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"Sum", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"Binomial", "[", 
             RowBox[{"m", ",", "l"}], "]"}], "*", 
            RowBox[{"Exp", "[", 
             RowBox[{"-", 
              RowBox[{"(", 
               RowBox[{"l", "-", "1"}], ")"}]}], "]"}], "*", 
            RowBox[{"Subfactorial", "[", "l", "]"}]}], ",", 
           RowBox[{"{", 
            RowBox[{"l", ",", "2", ",", "m"}], "}"}]}], "]"}]}], ")"}]}], 
      ")"}], "+", 
     RowBox[{"Log", "[", 
      RowBox[{"1", "+", 
       RowBox[{"Sum", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"Binomial", "[", 
           RowBox[{"m", ",", "l"}], "]"}], "*", 
          RowBox[{"Exp", "[", 
           RowBox[{"-", 
            RowBox[{"(", 
             RowBox[{"l", "-", "1"}], ")"}]}], "]"}], "*", 
          RowBox[{"Subfactorial", "[", "l", "]"}]}], ",", 
         RowBox[{"{", 
          RowBox[{"l", ",", "2", ",", "m"}], "}"}]}], "]"}]}], "]"}]}], " ", 
    ")"}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"F", "[", 
    RowBox[{"k_", ",", "m_"}], "]"}], ":=", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", 
        RowBox[{"m", "^", "k"}]}], ")"}], "/", 
      RowBox[{"(", 
       RowBox[{"1", "-", "m"}], ")"}]}], ")"}], "*", 
    RowBox[{"(", " ", 
     RowBox[{"1", "-", 
      RowBox[{"Log", "[", 
       RowBox[{"1", "+", 
        RowBox[{"Sum", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Binomial", "[", 
            RowBox[{"m", ",", "l"}], "]"}], "*", 
           RowBox[{"Exp", "[", 
            RowBox[{"-", 
             RowBox[{"(", 
              RowBox[{"l", "-", "1"}], ")"}]}], "]"}], "*", 
           RowBox[{"Subfactorial", "[", "l", "]"}]}], ",", 
          RowBox[{"{", 
           RowBox[{"l", ",", "2", ",", "m"}], "}"}]}], "]"}]}], "]"}]}], 
     ")"}]}]}], "\[IndentingNewLine]"}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"R2", "[", 
    RowBox[{"k_", ",", "m_"}], "]"}], ":=", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", 
        RowBox[{"m", "^", "k"}]}], ")"}], "/", 
      RowBox[{"(", 
       RowBox[{"1", "-", "m"}], ")"}]}], ")"}], "*", 
    RowBox[{"Log", "[", 
     RowBox[{"(", 
      RowBox[{"m", "!"}], ")"}], "]"}]}]}], " ", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"S", "[", 
     RowBox[{"k", ",", "m"}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"k", ",", "2", ",", "2"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"m", ",", "2", ",", "50"}], "}"}]}], "]"}], " ", "//", 
  "N"}]}], "Input",
 CellChangeTimes->{{3.688572252521341*^9, 3.688572295292843*^9}, 
   3.688708430062541*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{
   "1.746609326664654`", ",", "6.23012375221776`", ",", "13.811088654994919`",
     ",", "25.018561872959054`", ",", "40.54971395677454`", ",", 
    "61.01779104376439`", ",", "86.8194665791352`", ",", 
    "118.16877662301656`", ",", "155.20084918730416`", ",", 
    "198.04379926747637`", ",", "246.8382362061138`", ",", 
    "301.7314075738059`", ",", "362.8685727819782`", ",", 
    "430.3883959649611`", ",", "504.4216323364869`", ",", 
    "585.0913240242364`", ",", "672.5134592810491`", ",", 
    "766.7976837967751`", ",", "868.0479456838309`", ",", 
    "976.3630557676423`", ",", "1091.837171092367`", ",", 
    "1214.560213626365`", ",", "1344.6182349528106`", ",", 
    "1482.093735797494`", ",", "1627.065947547054`", ",", 
    "1779.6110815561774`", ",", "1939.8025509782647`", ",", 
    "2107.71116901504`", ",", "2283.405326813735`", ",", "2466.95115370609`", 
    ",", "2658.4126620517964`", ",", "2857.8518785977717`", ",", 
    "3065.3289639769187`", ",", "3280.9023217327353`", ",", 
    "3504.6286980592986`", ",", "3736.563273281922`", ",", 
    "3976.759745966039`", ",", "4225.270410425738`", ",", 
    "4482.146228305053`", ",", "4747.436894821391`", ",", 
    "5021.190900189038`", ",", "5303.455586679301`", ",", "5594.27720172106`",
     ",", "5893.700947399852`", ",", "6201.771026673967`", ",", 
    "6518.530686591666`", ",", "6844.022258763478`", ",", 
    "7178.287197317245`", ",", "7521.366114540424`"}], "}"}], "}"}]], "Output",
 CellChangeTimes->{3.688572298036789*^9, 3.6887083925385838`*^9, 
  3.6887084358708925`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"Abs", "[", 
     RowBox[{"F", "[", 
      RowBox[{"k", ",", "m"}], "]"}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"k", ",", "2", ",", "2"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"m", ",", "2", ",", "50"}], "}"}]}], "]"}], " ", "//", 
  "N"}]], "Input",
 CellChangeTimes->{{3.6885723296021776`*^9, 3.6885723425708256`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{
   "2.0602149374453314`", ",", "0.5411743941989045`", ",", 
    "2.7781204084228017`", ",", "8.06915660221729`", ",", "15.6083618822327`",
     ",", "25.744289829279786`", ",", "38.82949357017112`", ",", 
    "55.175610544357674`", ",", "75.04204293403511`", ",", 
    "98.64503158049715`", ",", "126.1709508777677`", ",", 
    "157.7861266972307`", ",", "193.64252169819542`", ",", 
    "233.8808468607099`", ",", "278.63241206842673`", ",", 
    "328.0203948761153`", ",", "382.160813671255`", ",", 
    "441.16332030984336`", ",", "505.1318640729883`", ",", 
    "574.1652559925266`", ",", "648.3576531467598`", ",", 
    "727.7989775093611`", ",", "812.575280664284`", ",", "902.7690633374287`",
     ",", "998.4595569154484`", ",", "1099.7229727530307`", ",", 
    "1206.6327240035769`", ",", "1319.2596238688116`", ",", 
    "1437.6720634959654`", ",", "1561.9361722167794`", ",", 
    "1692.1159623909448`", ",", "1828.2734607653792`", ",", 
    "1970.4688279729853`", ",", "2118.760467557261`", ",", 
    "2273.2051257122835`", ",", "2433.8579827633657`", ",", 
    "2600.7727372759414`", ",", "2774.0016835641`", ",", "2953.595783271874`",
     ",", "3139.6047316166714`", ",", "3332.0770188127767`", ",", 
    "3531.059987131498`", ",", "3736.5998840017173`", ",", 
    "3948.741911508968`", ",", "4167.530272611542`", ",", "4393.0082143577`", 
    ",", "4625.218068357972`", ",", "4864.201288740197`", ",", 
    "5109.998487791836`"}], "}"}], "}"}]], "Output",
 CellChangeTimes->{{3.688572335019968*^9, 3.6885723438326397`*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"Log", "[", 
     RowBox[{"S", "[", 
      RowBox[{"k", ",", "m"}], "]"}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"k", ",", "12", ",", "12"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"m", ",", "2", ",", "50"}], "}"}]}], "]"}], " ", "//", 
  "N"}]], "Input",
 CellChangeTimes->{{3.6887084556793756`*^9, 3.6887084680872173`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{
   "7.776586088499616`", ",", "12.933300237180747`", ",", 
    "16.552953867965293`", ",", "19.354819139053678`", ",", 
    "21.648294295237452`", ",", "23.59088625578861`", ",", 
    "25.273994639618515`", ",", "26.75678220626788`", ",", 
    "28.08062134509479`", ",", "29.27573974545124`", ",", 
    "30.364768375128726`", ",", "31.364965552883262`", ",", 
    "32.289729107073356`", ",", "33.14964440880764`", ",", 
    "33.95321361215512`", ",", "34.70736759302983`", ",", 
    "35.41783089660785`", ",", "36.08938670910474`", ",", 
    "36.726072815855815`", ",", "37.33132902638169`", ",", 
    "37.90810982111268`", ",", "38.458971633599845`", ",", 
    "38.9861413349399`", ",", "39.49157058343082`", ",", 
    "39.976979405001686`", ",", "40.443891469760445`", ",", 
    "40.893662895143045`", ",", "41.32750595167767`", ",", 
    "41.746508717556765`", ",", "42.15165148581728`", ",", 
    "42.54382054770897`", ",", "42.92381984038593`", ",", 
    "43.29238084424211`", ",", "43.65017103643559`", ",", 
    "43.99780114626372`", ",", "44.33583141061216`", ",", 
    "44.66477699045464`", ",", "44.98511267992627`", ",", 
    "45.29727701604357`", ",", "45.601675878355785`", ",", 
    "45.89868565266683`", ",", "46.188656020689976`", ",", 
    "46.47191242748969`", ",", "46.74875827036705`", ",", 
    "47.01947684609545`", ",", "47.28433308783097`", ",", 
    "47.543575118384055`", ",", "47.797435642670045`", ",", 
    "48.046133198915356`"}], "}"}], "}"}]], "Output",
 CellChangeTimes->{3.6887084704806595`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"Log", "[", 
     RowBox[{"Abs", "[", 
      RowBox[{"F", "[", 
       RowBox[{"k", ",", "m"}], "]"}], "]"}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"k", ",", "12", ",", "12"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"m", ",", "2", ",", "50"}], "}"}]}], "]"}], " ", "//", 
  "N"}]], "Input",
 CellChangeTimes->{{3.6887084788426833`*^9, 3.6887085099674387`*^9}, {
  3.6887085459291487`*^9, 3.688708560960763*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{
   "7.941720023543355`", ",", "10.489890343844333`", ",", 
    "14.949256659689402`", ",", "18.223250081327457`", ",", 
    "20.6935723575288`", ",", "22.72793362599954`", ",", 
    "24.469343875179494`", ",", "25.99518931103657`", ",", 
    "27.353949794721025`", ",", "28.57877939788787`", ",", 
    "29.693672907587917`", ",", "30.716668797680914`", ",", 
    "31.661702184416015`", ",", "32.539768145592134`", ",", 
    "33.35969451538043`", ",", "34.12867543449008`", ",", 
    "34.85265026974844`", ",", "35.53657886627338`", ",", "36.1846453779245`",
     ",", "36.80041178307839`", ",", "37.386935264608475`", ",", 
    "37.94685918771454`", ",", "38.482484486415125`", ",", 
    "38.99582630694557`", ",", "39.48865941358051`", ",", 
    "39.96255492797217`", ",", "40.41891031258891`", ",", 
    "40.85897403521407`", ",", "41.28386600732773`", ",", 
    "41.69459463606722`", ",", "42.09207114115485`", ",", 
    "42.47712164661235`", ",", "42.85049744959907`", ",", 
    "43.21288378635725`", ",", "43.564907351604504`", ",", 
    "43.907142778131025`", ",", "44.24011824443978`", ",", 
    "44.5643203474985`", ",", "44.88019835318366`", ",", "45.18816791738219`",
     ",", "45.488614354911924`", ",", "45.781895520614206`", ",", 
    "46.06834435653718`", ",", "46.34827115058321`", ",", 
    "46.621965544961306`", ",", "46.889698326972024`", ",", 
    "47.15172302982425`", ",", "47.408277367157076`", ",", 
    "47.65958452156936`"}], "}"}], "}"}]], "Output",
 CellChangeTimes->{{3.6887084989215555`*^9, 3.6887085106083603`*^9}, 
   3.6887085641353283`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"R2", "[", 
     RowBox[{"k", ",", "m"}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"k", ",", "12", ",", "12"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"m", ",", "2", ",", "50"}], "}"}]}], "]"}], " ", "//", 
  "N"}]], "Input",
 CellChangeTimes->{{3.688708528614251*^9, 3.6887085397702928`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{
   "2838.437704392976`", ",", "476106.3261632788`", ",", 
    "1.7772964131107002`*^7", ",", "2.9220530536941403`*^8", ",", 
    "2.864319563166186`*^9", ",", "1.9666534470808216`*^10", ",", 
    "1.0410610892273082`*^11", ",", "4.51951775162042`*^11", ",", 
    "1.6782680636733792`*^12", ",", "5.49297396015797`*^12", ",", 
    "1.6200728374921797`*^13", ",", "4.378518609551551`*^13", ",", 
    "1.0986068356622016`*^14", ",", "2.5855916370500266`*^14", ",", 
    "5.755574072687684`*^14", ",", "1.2200500532541368`*^15", ",", 
    "2.476670185742914`*^15", ",", "4.83730847699242`*^15", ",", 
    "9.126667632802434`*^15", ",", "1.6690423708998172`*^16", ",", 
    "2.967129351466217`*^16", ",", "5.140640514784888`*^16", ",", 
    "8.698945007866976`*^16", ",", "1.4405351187532275`*^17", ",", 
    "2.3384561129486234`*^17", ",", "3.726823159958634`*^17", ",", 
    "5.838977173580948`*^17", ",", "9.004212069297219`*^17", ",", 
    "1.3681533718434017`*^18", ",", "2.050344606541403`*^18", ",", 
    "3.033223397703496`*^18", ",", "4.4331704293293343`*^18", ",", 
    "6.405791485616729`*^18", ",", "9.157307474526099`*^18", ",", 
    "1.295875469509534`*^19", ",", "1.8163573736126726`*^19", ",", 
    "2.52292622040281`*^19", ",", "3.4743875989020004`*^19", ",", 
    "4.745828722442727`*^19", ",", "6.432524578602286`*^19", ",", 
    "8.654644651262845`*^19", ",", "1.1562897778596536`*^20", ",", 
    "1.5345272025572763`*^20", ",", "2.023504789944852`*^20", ",", 
    "2.6520286996939955`*^20", ",", "3.455502442733279`*^20", ",", 
    "4.477242230153748`*^20", ",", "5.770017341810087`*^20", ",", 
    "7.397847922900043`*^20"}], "}"}], "}"}]], "Output",
 CellChangeTimes->{3.688708542323965*^9}]
}, Open  ]]
},
WindowSize->{778, 569},
WindowMargins->{{183, Automatic}, {Automatic, 56}},
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (February 18, 2009)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 1977, 60, 112, "Input"],
Cell[2525, 82, 921, 29, 72, "Input"],
Cell[CellGroupData[{
Cell[3471, 115, 843, 28, 72, "Input"],
Cell[4317, 145, 1615, 28, 107, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[5969, 178, 407, 12, 31, "Input"],
Cell[6379, 192, 1596, 27, 107, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[8012, 224, 409, 12, 31, "Input"],
Cell[8424, 238, 1586, 29, 107, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[10047, 272, 495, 14, 31, "Input"],
Cell[10545, 288, 1632, 29, 107, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[12214, 322, 374, 11, 31, "Input"],
Cell[12591, 335, 1766, 29, 168, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
